SDL_wcscmp(3)

NAME
SDL_wcscmp - Compare two null-terminated wide strings.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_wcscmp(const wchar_t *str1, const wchar_t *str2);

DESCRIPTION
This only compares wchar_t values until it hits a null-terminating character; it does not care if the string is well-formed UTF-16 (or UTF-32, depending on your platform's wchar_t size), or uses valid Unicode values.

FUNCTION PARAMETERS

str1
    the first string to compare. NULL is not permitted!

str2
    the second string to compare. NULL is not permitted!

RETURN VALUE
Returns less than zero if str1 is "less than" str2, greater than zero if str1 is "greater than" str2, and zero if the strings match exactly.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.